

import 'package:cs_resources/generated/assets.dart';
import 'package:domain/entity/home_module.dart';
import 'package:plugin_basic/basic_export.dart';

class MainState {

  //当前显示的模块
  List<HomeModule> datas = [];

  //全部的模块
  final List<HomeModule> modules = [
    HomeModule(moduleId: '1', moduleName: 'Labour Request'.tr, moduleIconPath: Assets.mainHomeLabourRequest,iconWidth: 50,iconHeight: 40.3),
    HomeModule(moduleId: '2', moduleName: 'Job List'.tr, moduleIconPath: Assets.mainHomeJobList,iconWidth: 45,iconHeight: 45),
    HomeModule(moduleId: '3', moduleName: 'Sign in Sign out'.tr, moduleIconPath: Assets.mainHomeSignInOut,iconWidth: 44.5,iconHeight: 44.5),
    HomeModule(moduleId: '4', moduleName: 'Devices'.tr, moduleIconPath: Assets.mainHomeDevices,iconWidth: 45.5,iconHeight: 45.5),
    HomeModule(moduleId: '5', moduleName: 'Labour Request Review'.tr, moduleIconPath:Assets.mainHomeLabourRequestReview,iconWidth: 50.5,iconHeight: 43),
    HomeModule(moduleId: '6', moduleName: 'Attendance Review'.tr, moduleIconPath: Assets.mainHomeAttendanceReview,iconWidth: 47.5,iconHeight: 46),
    HomeModule(moduleId: '7', moduleName: 'Default Job Title'.tr, moduleIconPath: Assets.mainHomeJobTemplate,iconWidth: 48.5,iconHeight: 46.5),
    HomeModule(moduleId: '8', moduleName: 'Report'.tr, moduleIconPath: Assets.mainHomeReport,iconWidth: 50.5,iconHeight: 45.5),
  ];

}
