import 'package:cpt_auth/modules/reset_psd/reset_psd_page.dart';
import 'package:get/get.dart';
import 'package:plugin_platform/engine/dialog/dialog_engine.dart';
import 'package:plugin_platform/engine/toast/toast_engine.dart';
import 'package:widgets/dialog/app_default_dialog.dart';

import 'setting_state.dart';

class SettingController extends GetxController {
  final SettingState state = SettingState();

  //切换账号
  void switchProjects() {
    ToastEngine.show("切换账号");
  }

  //去重置密码页面
  void gotoResetPasswordPage() {
    ResetPasswordPage.startInstance();
  }

  //确定删除账号
  void doAccountDelete() {
    DialogEngine.show(
        widget: AppDefaultDialog(
      title: "Confirmation".tr,
      message: "Are you sure you want to deactivate your account? You will not be able to login into the app once you proceed with the request.".tr,
      confirmAction: () {
        ToastEngine.show("确定删除账号");
      },
    ));
  }

  //确定退出登录
  void doLogout() {
    DialogEngine.show(
        widget: AppDefaultDialog(
      title: "Confirmation".tr,
      message: "Are you sure you need to exit the system?".tr,
      confirmAction: () {
        ToastEngine.show("确定退出登录");
      },
    ));
  }
}
